<?php
header("Pragma: no-cache");
header("Expires: 0");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Cache-Control: no-cache, must-revalidate");

function removeaccents($str, $charset='utf-8'){
$str = htmlentities($str, ENT_NOQUOTES, $charset);
$str = preg_replace('#&([A-za-z])(?:acute|cedil|circ|grave|orn|ring|slash|th|tilde|uml);#', '\1', $str);
$str = preg_replace('#&([A-za-z]{2})(?:lig);#', '\1', $str); 
$str = preg_replace('#&[^;]+;#', '', $str); 
return $str;
}

require_once "Pinterest.class.php";

$pages = array(
'http://www.your-website.com/feed.rss',
'http://www.your-website-2.com/feed.rss'
);

$page = array_rand($pages);
$fichier = $pages[$page];

$dom = new DOMDocument();
if (!$dom->load($fichier)) {die('Error XML');}


$itemList = $dom->getElementsByTagName("item");
$nbitem = $itemList ->length;
echo "<span style=\"color:green;\">il y a ".$nbitem." produits</span><hr />";

$nb_min = 1;
$nb_max = $nbitem;
$nombre = mt_rand($nb_min,$nb_max);

echo $nombre.'<br>';
$countos=0;
foreach ($itemList as $item) {

$countos++;
if($countos==$nombre){
$titos = $item->getElementsByTagName('title');
if ($titos->length > 0) {$biztitos = $titos->item(0)->nodeValue;
//$biztitos = preg_replace("//","&euro;",$biztitos);


}
$link = $item->getElementsByTagName('link');
if ($link->length > 0) {$bizlink = $link->item(0)->nodeValue;
echo $bizlink;
}
 
$pic = $item->getElementsByTagName('description');
if ($pic->length > 0) {$bizpic = $pic->item(0)->nodeValue;

$html = $bizpic;

$doc = new DOMDocument();
$doc->loadHTML($html);
$xpath = new DOMXPath($doc);
$src = $xpath->evaluate("string(//img/@src)");

$src = preg_replace("/small/","large",$src);

$bizurlb=removeaccents($biztitos);
$bizurlb = substr($bizurlb, 0, -1);
$bizurlb=strtolower($bizurlb);
$bizurlb=preg_replace("/ /","-",$bizurlb);
$bizurlb=preg_replace("/\"/","",$bizurlb);
$bizurlb=preg_replace("/,/","",$bizurlb);
$bizurlb=preg_replace("/'/","",$bizurlb);
$bizurlb=preg_replace("/:/","",$bizurlb);
$bizurlb=preg_replace("/\//","-",$bizurlb);
$bizurlb=preg_replace("//","-",$bizurlb);
$bizurlb=preg_replace("/%/","-",$bizurlb);
$bizurlb=preg_replace("/&/","\|",$bizurlb);
$bizurlb=preg_replace("/---/","-",$bizurlb);
$bizurlb=preg_replace("/--/","-",$bizurlb);

if (!file_exists('img/'.$bizurlb.'_458x458.jpg')){
copy($src,'img/'.$bizurlb.'_458x458.jpg');
}

}

}
}

// Create the pinterest object and log in
$p = new Pinterest();
$p->login("your-pinterest-email@email.com", "pinterest-password");
if( $p->is_logged_in() )
    echo "Success, we're logged in\n";

// Set up the pin
$p->pin_url = $bizlink;
$p->pin_description = $biztitos;
$p->pin_image_preview = $p->generate_image_preview('./img/'.$bizurlb.'_458x458.jpg');

// Get the boards
$p->get_boards();

$p->pin($p->boards['Items']);

// And we're done

?>